Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 751877 - net-mail/ezmlm-idx-7.0.0-r3 fails to compile with -fno-common
Summary: net-mail/ezmlm-idx-7.0.0-r3 fails to compile with -fno-common
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common gcc-10-stable
  Show dependency tree
 
Reported: 2020-10-30 08:36 UTC by Agostino Sarubbo
Modified: 2021-01-05 11:48 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,103.89 KB, text/plain)
2020-10-30 08:36 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-10-30 08:36:54 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-mail/ezmlm-idx-7.0.0-r3 fails to compile with -fno-common.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
To reproduce this issue you may want to set CFLAGS="${CFLAGS} -fno-common" or compile it with gcc-10 that enables -fno-common by default.
Comment 1 Agostino Sarubbo gentoo-dev 2020-10-30 08:36:57 UTC
Created attachment 669281 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-10-30 08:36:59 UTC
Possible context of error(s):

/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./libezmlm.a(idxthread.lo):(.bss+0x0): multiple definition of `fdlock'; ezmlm-get.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./libezmlm.a(idxthread.lo):(.bss+0x20): multiple definition of `st'; ezmlm-get.o:(.bss+0x1100): first defined here
collect2: error: ld returned 1 exit status
Comment 3 Stephan Hartmann gentoo-dev 2021-01-05 10:37:46 UTC
This requires a bump to 7.2.2: https://untroubled.org/ezmlm
Comment 4 Larry the Git Cow gentoo-dev 2021-01-05 11:48:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=295b76255f47a9904f8d079cef856b61134027e8

commit 295b76255f47a9904f8d079cef856b61134027e8
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-01-05 11:45:39 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-01-05 11:48:14 +0000

    net-mail/ezmlm-idx: bump to 7.2.2
    
    Closes: https://bugs.gentoo.org/751877
    Closes: https://bugs.gentoo.org/727830
    Closes: https://bugs.gentoo.org/571890
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 net-mail/ezmlm-idx/Manifest               |  1 +
 net-mail/ezmlm-idx/ezmlm-idx-7.2.2.ebuild | 57 +++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)